$(document).ready(function(){
	$(".excluir").click(function(e){
		$.confirm({
		    title: 'Confirmação',
		    boxWidth: '30%',
		    useBootstrap: false,
		    content: '' +
		    '<h2>Tem certeza que deseja excluir essa matéria?</h2><br>' +
		    '<p>Depois de excluir, você não poderá desfazer esta ação.</p>'
		    ,
		    buttons: {
		        confirm: {
		        	text: 'Sim, quero excluir',
		        	btnClass: 'btn-blue',
		        	action:	function () {
		        		$("form")[0].setAttribute("action",urlExcluir);
		        		$("form")[0].submit();
			        }	
		        },
		        cancel: {
		        	text: 'Cancelar',
		        	action: function () {
		            		
		        	}
		        }
		    }
		});
	});
	
	
	

	
    $(document).keydown(function(event) {
        if (event.ctrlKey==true && (event.which == '118' || event.which == '86')) {
            event.preventDefault();
         }
    });

	$("#" + namePortlet + "materia").val(tipoMateriaSelecionada).change();
	$("#" + namePortlet + "situacao").val(statusSelecionado).change();

});

$(function () {
	
	CKEDITOR.on('instanceReady', function (evt) {
		CKEDITOR.instances._mprjdoerjportletmateria_WAR_mprjdoerjportlet_conteudo.on('focus', function (e) {
			$(".alert").remove();
			$('.campo').removeClass('error control-group');
			$('.alert.alert-success').remove();
		});
	});
});

$("#enviarFormInc").focusout(function(){
	limparErros();
});


function limparCampos(){
	CKEDITOR.instances._mprjdoerjportletmateria_WAR_mprjdoerjportlet_conteudo.setData('');
	$("#"+namePortlet+"materia").val('default').selectpicker("refresh");
}

function limparErros(){
	$('.alert.alert-error').remove();
	$("#campo-materia").removeClass("control-group error");
	$("#campo-dataP").removeClass("control-group error");
	$("#campo-conteudo").removeClass("control-group error");
	$("#cke_"+namePortlet+"conteudo").css("border-color", "");	
}
function validarForm(){
	
	limparErros();
	
	var materia = $("#"+namePortlet+"materia").val();
	var dataP = $("#"+namePortlet+"dataP").val();
	var OK = true;
	var conteudo = CKEDITOR.instances._mprjdoerjportletmateria_WAR_mprjdoerjportlet_conteudo.getData();
    if (materia == "") {
    	$("#campo-materia").addClass("control-group error");
        $("#campo-materia").append('<div id="valida-tipo-mat" class="alert alert-error"> Um tipo de matéria deve ser selecionado. </div>');
        OK = false;
    }else{
    	$("#campo-materia").removeClass("control-group error");
    }
    
    if(dataP == "") {
    	$("#campo-dataP").addClass("control-group error");
        $("#campo-dataP").append('<div id="valida-tipo-mat" class="alert alert-error"> Uma data deve ser selecionada. </div>');
        OK = false;
    }else{
    	$("#campo-dataP").removeClass("control-group error");
    }
    
    if(conteudo == "" || conteudo == undefined) {
    	$("#campo-conteudo").addClass("control-group error");
    	$("#cke_"+namePortlet+"conteudo").css("border-color", "#f70303");
        $("#campo-conteudo").append('<div id="valida-tipo-mat" class="alert alert-error"> Um conteúdo deve ser inserido. </div>');
        OK = false;
    }else{
    	$('.alert.alert-error').remove();
    	$("#cke_"+namePortlet+"conteudo").css("border-color", "");		
		$("#campo-conteudo").removeClass("control-group error");
	}
    if(!OK){
    	return false;
    }
    
}
function goBack(link) {
    window.location.href = link;
}